local SK = SwissKnife

SK.Data.common = {
	MAIN_DIALOGUE_TRACKED_SET_ITEMS_MODE = 1,
	MAIN_DIALOGUE_UNWANTED_SETS_MODE = 2,
	MAIN_DIALOGUE_UNWANTED_ITEMS_MODE = 3,
	MAIN_DIALOGUE_NOT_BIND_ITEMS_MODE = 6,
	MAIN_DIALOGUE_WATCHED_ABILITIES_MODE = 4,
	MAIN_DIALOGUE_TRACKED_ABILITIES_MODE = 5,
	MAIN_DIALOGUE_FAVORITES_MODE = 7,
	BAG_LINKS_BAGS = {
		BAG_BANK,
		BAG_WORN,
		BAG_BACKPACK,
		BAG_SUBSCRIBER_BANK,
		BAG_GUILDBANK
	},
	BAG_BANKS = {
		BAG_BANK,
		BAG_SUBSCRIBER_BANK,
		BAG_GUILDBANK
	},
	BAG_CHARACTERS = {
		BAG_WORN,
		BAG_BACKPACK
	},
	BAG_HOUSE_BANKS = {
	    BAG_HOUSE_BANK_ONE,
	    BAG_HOUSE_BANK_TWO,
	    BAG_HOUSE_BANK_THREE,
	    BAG_HOUSE_BANK_FOUR,
	    BAG_HOUSE_BANK_FIVE,
	    BAG_HOUSE_BANK_SIX,
	    BAG_HOUSE_BANK_SEVEN,
	    BAG_HOUSE_BANK_EIGHT,
	    BAG_HOUSE_BANK_NINE,
	    BAG_HOUSE_BANK_TEN
	},
	BAG_MATERIALS = {
		BAG_BACKPACK,
		BAG_BANK,
		BAG_SUBSCRIBER_BANK,
		BAG_VIRTUAL
	},
	SYSTEM_CRAFT_MAIL_SUBJECTS = {
        zo_strlower(GetString(SI_SK_CRAFT_BLACKSMITH)),
        zo_strlower(GetString(SI_SK_CRAFT_CLOTHIER)),
        zo_strlower(GetString(SI_SK_CRAFT_ENCHANTER)),
        zo_strlower(GetString(SI_SK_CRAFT_PROVISIONER)),
        zo_strlower(GetString(SI_SK_CRAFT_WOODWORKER)),
	},
	INTERACTION_TALK = GetString(SI_GAMECAMERAACTIONTYPE2),
	INTERACTION_OPEN = GetString(SI_GAMECAMERAACTIONTYPE13),
	INTERACTION_FISHING = GetString(SI_GAMECAMERAACTIONTYPE16),
	STEALING_ACTION_STEAL = GetString(SI_GAMECAMERAACTIONTYPE19),
	STEALING_ACTION_STEAL_FROM = GetString(SI_GAMECAMERAACTIONTYPE20),
	STEALING_ACTION_PICKPOCKET = GetString(SI_GAMECAMERAACTIONTYPE21),
	STEALING_ACTIONS = {
        GetString(SI_GAMECAMERAACTIONTYPE19),
        GetString(SI_GAMECAMERAACTIONTYPE20),
        GetString(SI_GAMECAMERAACTIONTYPE21)
	},
	INSECT_NAMES = {
		GetString(SI_SK_I_INSECT1),
		GetString(SI_SK_I_INSECT2),
		GetString(SI_SK_I_INSECT3),
		GetString(SI_SK_I_INSECT4),
		GetString(SI_SK_I_INSECT5),
		GetString(SI_SK_I_INSECT6),
		GetString(SI_SK_I_INSECT7),
		GetString(SI_SK_I_INSECT8),
		GetString(SI_SK_I_INSECT9),
		GetString(SI_SK_I_INSECT10),
		GetString(SI_SK_I_INSECT11),
		GetString(SI_SK_I_INSECT12),
		GetString(SI_SK_I_INSECT13)
	},
	TAKE_INSECT_ACTIONS = {
		GetString(SI_GAMECAMERAACTIONTYPE7),
		GetString(SI_SK_ACTION_CATCH),
	},
	COMPANION_NAMES = {
		[SK.COMPANIONS.BASTIAN] = zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.BASTIAN)),
		[SK.COMPANIONS.MIRRI] = zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.MIRRI)),
		[SK.COMPANIONS.EMBER] = zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.EMBER)),
		[SK.COMPANIONS.ISOBEL] = zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.ISOBEL)),
		[SK.COMPANIONS.SHARP] = zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.SHARP)),
		[SK.COMPANIONS.AZANDAR] = zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.AZANDAR))
	},
	DISLIKE_DB_COMPANION_NAMES = {
		zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.MIRRI)),
		zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.ISOBEL))
	},
	DISLIKE_BOW_COMPANION_NAMES = {
		zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.BASTIAN)),
		zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.MIRRI)),
		zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.ISOBEL))
	},
	DISLIKE_STEALING_COMPANION_NAMES = {
		zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.BASTIAN)),
		zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.ISOBEL)),
		zo_strformat(SI_COMPANION_NAME_FORMATTER, GetCompanionName(SK.COMPANIONS.SHARP))
	},
	DANGER_INTERACTION = {
		"darkbrotherhood",
		"vampire_synergy_feed"
	},
	REFINE_SKILL_IDX = {
		[CRAFTING_TYPE_BLACKSMITHING] = 4,
		[CRAFTING_TYPE_CLOTHIER] = 4,
		[CRAFTING_TYPE_WOODWORKING] = 4,
		[CRAFTING_TYPE_JEWELRYCRAFTING] = 3
	},
	DAILY_QUEST_NPC = {
		MAGE = {"Alvur Baren", "Алвур Барен"},
		FIGHTERS = {"Cardea Gallus", "Кардея Галла", "Cardea Galo"},
		UNDAUNTED = {"Bolgrul", "Болгрул"},
	},
	NOT_AUTOMATED_QUEST_TYPES = {
		QUEST_TYPE_GUILD,
		QUEST_TYPE_CRAFTING,
		QUEST_TYPE_UNDAUNTED_PLEDGE,
		--QUEST_TYPE_HOLIDAY_EVENT
	},
	AUTOMATED_QUEST_REPEAT_TYPES = {
		QUEST_REPEAT_DAILY,
		QUEST_REPEAT_REPEATABLE,
		QUEST_REPEAT_REPEATABLE_PER_DURATION
	},
	DARK_BROTHER_HOOD_QUEST_ZONES = {
		765, -- Логово контрабандистов
		766, -- Бухта торговцев
		769, -- Жилая канализация
	},
	UNWANTED_ACTIONS_NAMES = {
		[1] = GetString(SI_SK_AUT_UNWANTED_DESTROY_ACTION_NAME),
		[2] = GetString(SI_SK_AUT_UNWANTED_JUNK_ACTION_NAME),
	}
}

