local SK = SwissKnife

SK.Data.itemsData = {
	ITEM_TYPES = {
	    [SK.ATTACHMENT_TYPES.RESOURCES] = {
		    -- BLACKSMITHING
	        ITEMTYPE_BLACKSMITHING_RAW_MATERIAL,
	        ITEMTYPE_BLACKSMITHING_MATERIAL,
	        ITEMTYPE_BLACKSMITHING_BOOSTER,
	        -- CLOTHIER
	        ITEMTYPE_CLOTHIER_RAW_MATERIAL,
	        ITEMTYPE_CLOTHIER_MATERIAL,
	        ITEMTYPE_CLOTHIER_BOOSTER,
	        -- WOODWORKING
	        ITEMTYPE_WOODWORKING_RAW_MATERIAL,
	        ITEMTYPE_WOODWORKING_MATERIAL,
	        ITEMTYPE_WOODWORKING_BOOSTER,
	        -- JEWELRYCRAFTING
	        ITEMTYPE_JEWELRYCRAFTING_RAW_MATERIAL,
	        ITEMTYPE_JEWELRYCRAFTING_MATERIAL,
	        ITEMTYPE_JEWELRYCRAFTING_RAW_BOOSTER,
	        ITEMTYPE_JEWELRYCRAFTING_BOOSTER,
	        ITEMTYPE_JEWELRY_RAW_TRAIT,
	        -- ALCHEMY
	        ITEMTYPE_REAGENT,
	        ITEMTYPE_POTION_BASE,
	        ITEMTYPE_POISON_BASE,
	        -- ENCHANTING
	        ITEMTYPE_ENCHANTING_RUNE_ASPECT,
	        ITEMTYPE_ENCHANTING_RUNE_POTENCY,
	        ITEMTYPE_ENCHANTING_RUNE_ESSENCE,
	        -- PROVISIONING
	        ITEMTYPE_INGREDIENT,
	        ITEMTYPE_SPICE,
	        ITEMTYPE_FLAVORING,
	        ITEMTYPE_LURE,
			-- STYLE_MATERIAL
	        ITEMTYPE_STYLE_MATERIAL,
	        ITEMTYPE_RAW_MATERIAL,
	        -- TRAIT_ITEM
	        ITEMTYPE_WEAPON_TRAIT,
	        ITEMTYPE_ARMOR_TRAIT,
	        ITEMTYPE_JEWELRY_TRAIT,
	        ITEMTYPE_JEWELRY_RAW_TRAIT,
	        -- FURNISHING_MATERIAL
	        ITEMTYPE_FURNISHING_MATERIAL
	    },
	    [SK.ATTACHMENT_TYPES.INTRICATE] = {
	        ITEM_TRAIT_TYPE_WEAPON_INTRICATE,
	        ITEM_TRAIT_TYPE_ARMOR_INTRICATE,
	        ITEM_TRAIT_TYPE_JEWELRY_INTRICATE
	    },
	    [SK.ATTACHMENT_TYPES.GLYPHS] = {
			ITEMTYPE_GLYPH_WEAPON,
			ITEMTYPE_GLYPH_ARMOR,
			ITEMTYPE_GLYPH_JEWELRY
	    }
	},
	ITEM_JUNK_TYPES = {
		ITEMTYPE_TREASURE,
		ITEMTYPE_TRASH,
		--maybe too
		--ITEMTYPE_COLLECTIBLE
		--ITEMTYPE_TROPHY,
	},
	ITEM_GLYPH_TYPES = {
		ITEMTYPE_GLYPH_WEAPON,
		ITEMTYPE_GLYPH_ARMOR,
		ITEMTYPE_GLYPH_JEWELRY
	},
	ITEM_TRAIT_INTRICATE = {
        ITEM_TRAIT_TYPE_WEAPON_INTRICATE,
        ITEM_TRAIT_TYPE_ARMOR_INTRICATE,
        ITEM_TRAIT_TYPE_JEWELRY_INTRICATE
	},
	ITEM_TRAIT_ORNATE = {
        ITEM_TRAIT_TYPE_WEAPON_ORNATE,
        ITEM_TRAIT_TYPE_ARMOR_ORNATE,
        ITEM_TRAIT_TYPE_JEWELRY_ORNATE
	},
	ITEM_TRAIT_INTRICATE_CRAFTING_SKILLS = {
		CRAFTING_TYPE_BLACKSMITHING,
		CRAFTING_TYPE_CLOTHIER,
		CRAFTING_TYPE_JEWELRYCRAFTING,
		CRAFTING_TYPE_WOODWORKING,
		CRAFTING_TYPE_ENCHANTING
	},
	ITEM_WORTHLESS_TRAIT = {
        ITEM_TRAIT_TYPE_WEAPON_POWERED,
        ITEM_TRAIT_TYPE_WEAPON_CHARGED,
        ITEM_TRAIT_TYPE_WEAPON_PRECISE,
        ITEM_TRAIT_TYPE_WEAPON_INFUSED,
        ITEM_TRAIT_TYPE_WEAPON_DEFENDING,
        ITEM_TRAIT_TYPE_WEAPON_TRAINING,
        ITEM_TRAIT_TYPE_WEAPON_SHARPENED,
        ITEM_TRAIT_TYPE_WEAPON_DECISIVE,
        ITEM_TRAIT_TYPE_ARMOR_STURDY,
        ITEM_TRAIT_TYPE_ARMOR_IMPENETRABLE,
        ITEM_TRAIT_TYPE_ARMOR_REINFORCED,
        ITEM_TRAIT_TYPE_ARMOR_WELL_FITTED,
        ITEM_TRAIT_TYPE_ARMOR_TRAINING,
        ITEM_TRAIT_TYPE_ARMOR_INFUSED,
        ITEM_TRAIT_TYPE_ARMOR_PROSPEROUS,
        ITEM_TRAIT_TYPE_ARMOR_DIVINES
	},
	ITEM_WORTHLESS_RACIAL = {
		ITEMSTYLE_RACIAL_BRETON,
		ITEMSTYLE_RACIAL_REDGUARD,
		ITEMSTYLE_RACIAL_ORC,
		ITEMSTYLE_RACIAL_DARK_ELF,
		ITEMSTYLE_RACIAL_NORD,
		ITEMSTYLE_RACIAL_ARGONIAN,
		ITEMSTYLE_RACIAL_HIGH_ELF,
		ITEMSTYLE_RACIAL_WOOD_ELF,
		ITEMSTYLE_RACIAL_KHAJIIT,
		ITEMSTYLE_RACIAL_IMPERIAL,
		ITEMSTYLE_ENEMY_PRIMITIVE,
		ITEMSTYLE_AREA_REACH,
		ITEMSTYLE_AREA_ANCIENT_ELF,
		ITEMSTYLE_ENEMY_DAEDRIC
	},
	RAW_MATERIALS = {
        ITEMTYPE_BLACKSMITHING_RAW_MATERIAL,
        ITEMTYPE_CLOTHIER_RAW_MATERIAL,
        ITEMTYPE_WOODWORKING_RAW_MATERIAL,
        ITEMTYPE_JEWELRYCRAFTING_RAW_MATERIAL,
        ITEMTYPE_JEWELRYCRAFTING_RAW_BOOSTER,
        ITEMTYPE_RAW_MATERIAL,
        ITEMTYPE_JEWELRY_RAW_TRAIT
	},
	RAW_MATERIALS_BY_TYPE = {
		[CRAFTING_TYPE_BLACKSMITHING] = {
			ITEMTYPE_RAW_MATERIAL,
			ITEMTYPE_BLACKSMITHING_RAW_MATERIAL
		},
		[CRAFTING_TYPE_CLOTHIER] = {
			ITEMTYPE_RAW_MATERIAL,
			ITEMTYPE_CLOTHIER_RAW_MATERIAL
		},
		[CRAFTING_TYPE_WOODWORKING] = {
			ITEMTYPE_RAW_MATERIAL,
			ITEMTYPE_WOODWORKING_RAW_MATERIAL
		},
		[CRAFTING_TYPE_JEWELRYCRAFTING] = {
			ITEMTYPE_JEWELRYCRAFTING_RAW_MATERIAL,
            ITEMTYPE_JEWELRYCRAFTING_RAW_BOOSTER,
			ITEMTYPE_JEWELRY_RAW_TRAIT
		}
	},
    BANK_TRANSFER_OPTIONS = {
	    names = {
		    glyphs = GetString(SI_SK_DIALOG_BANK_GLYPHS),
		    intricate = GetString(SI_SK_DIALOG_BANK_INTRICATE),
		    resources = GetString(SI_SK_DIALOG_BANK_RESOURCES),
		    non_gold_resources = GetString(SI_SK_DIALOG_BANK_NON_GOLD_RESOURCES),
		    gold_resources = GetString(SI_SK_DIALOG_BANK_GOLD_RESOURCES),
		    recipe = GetString(SI_SK_DIALOG_BANK_RECIPE),
		    master_writs = GetString(SI_SK_DIALOG_BANK_MASTER_WRITS),
		    style_motifs = GetString(SI_SK_DIALOG_BANK_RACIAL_STYLE_MOTIFS),
		    style_pages = GetString(SI_SK_DIALOG_BANK_STYLE_PAGES),
		    crafted_white = GetString(SI_SK_DIALOG_BANK_CRAFTED_EQUIPMENT),
		    worth_stylish = GetString(SI_SK_DIALOG_BANK_WORTH_STYLISH),
		    raw_materials = GetString(SI_SK_DIALOG_BANK_RAW_MATERIALS),
		    training_craft = GetString(SI_SK_DIALOG_BANK_TRAINING_CRAFT),
		    unknown_recipe = GetString(SI_SK_DIALOG_BANK_UNKNOWN_RECIPE),
		    unknown_style_motifs = GetString(SI_SK_DIALOG_BANK_UNKNOWN_RACIAL_STYLE_MOTIFS),
		    unknown_style_pages = GetString(SI_SK_DIALOG_BANK_UNKNOWN_STYLE_PAGES),
	    },
        order = {
            [0] = "glyphs",
            [1] = "intricate",
            [2] = "resources",
            [3] = "non_gold_resources",
            [4] = "gold_resources",
            [5] = "recipe",
            [6] = "master_writs",
            [7] = "style_motifs",
            [8] = "style_pages",
            [9] = "crafted_white",
            [10] = "worth_stylish",
            [11] = "raw_materials",
            [12] = "training_craft",
            [13] = "unknown_recipe",
            [14] = "unknown_style_motifs",
            [15] = "unknown_style_pages"
        },
	    withdraw = {"raw_materials", "training_craft", "unknown_recipe", "unknown_style_motifs", "unknown_style_pages"}
    },
    WORTHLESS_STEALING_ITEMS = {
		ITEMTYPE_DRINK,
		ITEMTYPE_FOOD,
		ITEMTYPE_POISON,
		ITEMTYPE_POTION,
		ITEMTYPE_TRASH,
		ITEMTYPE_TOOL,
		ITEMTYPE_COSTUME
    },
	STEALING_BY_QUALITY_ITEMS = {
		ITEMTYPE_ARMOR,
		ITEMTYPE_COLLECTIBLE,
		ITEMTYPE_FURNISHING,
		ITEMTYPE_LOCKPICK,
		ITEMTYPE_RECIPE,
		ITEMTYPE_TREASURE,
		ITEMTYPE_WEAPON,
		ITEMTYPE_TROPHY
	},
	LAUNDER_ITEMS = {
		30357, -- lockpick
		71779, -- pardon blue
		73754, -- pardon violet
		73753, -- pardon gold
	},
	LAUNDER_ITEM_TYPES = {
		ITEMTYPE_RECIPE,
		ITEMTYPE_RACIAL_STYLE_MOTIF,
		ITEMTYPE_MASTER_WRIT,
		ITEMTYPE_AVA_REPAIR,
		ITEMTYPE_CROWN_ITEM,
		ITEMTYPE_RECALL_STONE,
		--ITEMTYPE_CONTAINER,
		--ITEMTYPE_CONTAINER_CURRENCY,
		ITEMTYPE_GROUP_REPAIR,
        ITEMTYPE_COSTUME,
        ITEMTYPE_DISGUISE,
        ITEMTYPE_TABARD,
        ITEMTYPE_SOUL_GEM,
        ITEMTYPE_SIEGE
	},
	LAUNDER_ITEMTYPE_TROPHY = {
		SPECIALIZED_ITEMTYPE_TROPHY_COLLECTIBLE_FRAGMENT,
		SPECIALIZED_ITEMTYPE_TROPHY_RECIPE_FRAGMENT,
		SPECIALIZED_ITEMTYPE_TROPHY_RUNEBOX_FRAGMENT,
		SPECIALIZED_ITEMTYPE_TROPHY_SCROLL,
		SPECIALIZED_ITEMTYPE_TROPHY_SURVEY_REPORT,
		SPECIALIZED_ITEMTYPE_TROPHY_TREASURE_MAP,
	},
}